> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Attachment



## OpenAPI

````yaml /openapi.json delete /v1/workspaces/{workspaceId}/projects/{projectId}/approvals/{approvalId}/attachments/{attachmentId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/approvals/{approvalId}/attachments/{attachmentId}:
    delete:
      tags:
        - Approvals
      summary: Remove Attachment
      operationId: ApprovalsController_removeAttachment_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: approvalId
          required: true
          in: path
          schema:
            type: string
        - name: attachmentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                expectedVersion:
                  type: integer
                  minimum: 1
                  maximum: 9007199254740991
              required:
                - expectedVersion
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.